;
; --------------------------------------
; THE OLD 'SCROLL' SUBROUTINE (27 bytes)
; --------------------------------------
;
;; SCROLL
L0C0E:	LD B,(IY+$22)		; sv DF_SZ
	LD C,$21		;
	CALL L0918		; routine LOC-ADDR
	CALL L099B		; routine ONE-SPACE
	LD A,(HL)		;
	LD (DE),A		;
	INC (IY+$3A)		; sv S_POSN_y
	LD HL,($400C)		; sv D_FILE_lo
	INC HL			;
	LD D,H			;
	LD E,L			;
	CPIR			;
	JP L0A5D		; to RECLAIM-1
;

;
; --------------------------------------
; THE NEW 'SCROLL' SUBROUTINE (27 bytes)
; --------------------------------------
;
;; SCROLL
L0C0E:	LD B,(IY+$22)		; sv DF_SZ
	LD C,$21		;

	push bc			; save position

	CALL L0918		; routine LOC-ADDR
	
	dec hl			; insert a N/L before the N/L
	CALL L099B		; routine ONE-SPACE

;	LD A,(HL)		; 
;	LD (DE),A		; 
;	INC (IY+$3A)		; sv S_POSN_y

	LD HL,($400C)		; sv D_FILE_lo
	INC HL			;
	LD D,H			;
	LD E,L			;
	CPIR			;

;	JP L0A5D		; to RECLAIM-1
	call L0A5D		; routine RECLAIM-1

	jp reLocAdr		; set new S_POSN and DF_CC
;
; ------ 
;  the next instructions were placed at the end of the modified POINTERS routine
; ------ 
;
;reLocAdr
;	pop bc			; restore the saved position
;	inc b			; the last printable line
;	jr L0A4F		; springboard (-> routine LOC-ADDR)
; ------ 
;
;;springboard
;L0A4F:	jp L0918		; routine LOC-ADDR
;
